Bug 830709

Summary: Review Request: robert-hooke - Extension mechanism for Clojure functions
Product: [Fedora] Fedora Reporter: Michel Alexandre Salim <michel>
Component: Package ReviewAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lemenkov, notting, package-review
Target Milestone: ---Flags: lemenkov: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-30 18:04:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 830714, 830784    

Description Michel Alexandre Salim 2012-06-11 05:30:55 EDT
Spec URL: http://salimma.fedorapeople.org/specs/clojure/robert-hooke.spec
SRPM URL: http://salimma.fedorapeople.org/specs/clojure/robert-hooke-1.2.0-1.fc17.src.rpm
Description:
Robert Hooke provides a flexible, composable mechanism by which you
can extend behavior of functions after they've been defined. It's
named after Robert Hooke FRS, a founding member of the Royal Society
who made many important discoveries in the fields of Gravitation,
Microscopy, and Astronomy.

Fedora Account System Username: salimma
Comment 1 Michel Alexandre Salim 2012-06-11 11:31:38 EDT
Not ready yet - building with Maven yields an empty JAR
Comment 2 Michel Alexandre Salim 2012-06-11 12:31:40 EDT
Spec URL: http://salimma.fedorapeople.org/specs/clojure/robert-hooke.spec
SRPM URL: http://salimma.fedorapeople.org/specs/clojure/robert-hooke-1.2.0-2.fc17.src.rpm

Now packaged using scriptlet borrowed from upstream's Debian branch
Comment 3 Peter Lemenkov 2012-06-19 07:36:14 EDT
I'll review it.
Comment 4 Peter Lemenkov 2012-06-19 08:19:55 EDT
Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4176543

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~/Desktop: rpmlint robert-hooke-1.2.0-2.fc18.*
robert-hooke.noarch: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
robert-hooke.src: W: spelling-error %description -l en_US composable -> compo sable, compo-sable, compos able
robert-hooke.src: W: invalid-url Source0: technomancy-robert-hooke-1.1.2-18-g30d2f8f.tar.gz
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines ( http://fedoraproject.org/wiki/Packaging:Java ).
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Eclipse Public License v.1.0 as stated in the sources).
0 The file, containing the text of the license(s) for the package, does not included in %doc since upstream doesn't provide one.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum technomancy-robert-hooke-1.1.2-18-g30d2f8f.tar.gz*
e6aa340d2a984122bc5cb6997af9cf0969381b429a313ec3ffb7b0c7c447280c  technomancy-robert-hooke-1.1.2-18-g30d2f8f.tar.gz
e6aa340d2a984122bc5cb6997af9cf0969381b429a313ec3ffb7b0c7c447280c  technomancy-robert-hooke-1.1.2-18-g30d2f8f.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
0 No Javadoc stuff.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

I don't see any issues so this package is

APPROVED.
Comment 5 Michel Alexandre Salim 2012-06-19 10:45:08 EDT
New Package SCM Request
=======================
Package Name: robert-hooke
Short Description: Extension mechanism for Clojure functions
Owners: salimma
Branches: f16 f17
InitialCC:
Comment 6 Jon Ciesla 2012-06-19 11:15:56 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-06-20 13:04:22 EDT
robert-hooke-1.2.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/robert-hooke-1.2.0-2.fc16
Comment 8 Fedora Update System 2012-06-20 13:04:33 EDT
robert-hooke-1.2.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/robert-hooke-1.2.0-2.fc17
Comment 9 Fedora Update System 2012-06-22 04:35:57 EDT
robert-hooke-1.2.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-30 18:04:12 EDT
robert-hooke-1.2.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-06-30 18:11:01 EDT
robert-hooke-1.2.0-2.fc17 has been pushed to the Fedora 17 stable repository.